## org.gjt.sp.jedit.gui.statusbar
Interface Widget

All Known Implementing Classes:
  LastModifiedWidgetFactory.LastModifiedWidget, SelectionLengthWidgetFactory.SelectionLengthWidget

    public interface Widget

Since:
  jEdit 4.3pre14

Method Summary
`javax.swing.JComponent` `getComponent()` Returns the component that will be inserted in the status bar
`void` `propertiesChanged()` a callback telling that the properties have been changed, the widget can update itself if needed
`void` `update()` A refresh is asked to the widget

Method Detail

### getComponent

    javax.swing.JComponent getComponent()

  Returns the component that will be inserted in the status bar

  Returns:
    a JComponent

### propertiesChanged

    void propertiesChanged()

  a callback telling that the properties have been changed, the widget can update itself if needed

### update

    void update()

  A refresh is asked to the widget